<?xml version="1.0" encoding="UTF-8"?>
<ui version="4.0">
    <class>Matrix_visualizer_plugin_ui</class>
    <widget class="QWidget" name="Matrix_visualizer_plugin_ui">
        <property name="windowTitle">
            Matrix visualizer
        </property>
        <layout class="QGridLayout" name="widget_layout">
            <!-- Inputs block, top-left -->
            <item row="0" column="0">
                <widget class="QGroupBox" name="group_box_inputs">
                    <property name="title">
                        <string>Inputs:</string>
                    </property>
                    <layout class="QVBoxLayout" name="vertical_layout">
                        <property name="alignment">
                            <set>Qt::AlignTop</set>
                        </property>
                        <item>
                            <widget class="QLabel" name="label_symbol">
                                <property name="text">
                                    <string>Matrix symbolic file:</string>
                                </property>
                            </widget>
                        </item>
                        <item>
                            <layout class="QHBoxLayout" name="horizontal_layout_symbol">
                                <item>
                                    <widget class="QLineEdit" name="line_edit_symbol">
                                        <property name="placeholderText">
                                            <string>Matrix symbolic filepath...</string>
                                        </property>
                                    </widget>
                                </item>
                                <item>
                                    <widget class="QToolButton" name="tool_button_symbol">
                                        <property name="text">
                                            <string>...</string>
                                        </property>
                                    </widget>
                                </item>
                            </layout>
                        </item>
                        <item>
                            <widget class="QLabel" name="label_order">
                                <property name="text">
                                    <string>Matrix order file:</string>
                                </property>
                            </widget>
                        </item>
                        <item>
                            <layout class="QHBoxLayout" name="horizontal_layout_order">
                                <item>
                                    <widget class="QLineEdit" name="line_edit_order">
                                        <property name="placeholderText">
                                            <string>Matrix order filepath...</string>
                                        </property>
                                    </widget>
                                </item>
                                <item>
                                    <widget class="QToolButton" name="tool_button_order">
                                        <property name="text">
                                            <string>...</string>
                                        </property>
                                    </widget>
                                </item>
                            </layout>
                        </item>
                        <item>
                            <widget class="QLabel" name="label_values">
                                <property name="text">
                                    <string>Matrix values file:</string>
                                </property>
                            </widget>
                        </item>
                        <item>
                            <layout class="QHBoxLayout" name="horizontal_layout_values">
                                <item>
                                    <widget class="QLineEdit" name="line_edit_values">
                                        <property name="placeholderText">
                                            <string>Matrix values filepath...</string>
                                        </property>
                                    </widget>
                                </item>
                                <item>
                                    <widget class="QToolButton" name="tool_button_values">
                                        <property name="text">
                                            <string>...</string>
                                        </property>
                                    </widget>
                                </item>
                            </layout>
                        </item>
                    </layout>
                </widget>
            </item>
            <!-- Options block, bottom left -->
            <item row="1" column="0">
                <widget class="QGroupBox" name="group_box_options">
                    <property name="title">
                        <string>Options:</string>
                    </property>
                    <layout class="QVBoxLayout" name="vertical_layout_options">
                        <property name="alignment">
                            <set>Qt::AlignTop</set>
                        </property>
                        <item>
                            <widget class="QCheckBox" name="checkbox_pastix_elimination_tree">
                                <property name="text">
                                    <string>Show elimination tree</string>
                                </property>
                                <property name="checked">
                                    <bool>true</bool>
                                </property>
                            </widget>
                        </item>
                    </layout>
                </widget>
            </item>
            <!-- Infos block, top right -->
            <item row="0" column="1">
                <widget class="QGroupBox" name="group_box_infos">
                    <property name="title">
                        <string>Infos:</string>
                    </property>
                    <layout class="QVBoxLayout" name="vertical_layout_infos">
                        <item>
                            <widget class="QTextEdit" name="text_edit_infos">
                                <property name="readOnly">
                                    <bool>true</bool>
                                </property>
                            </widget>
                        </item>
                        <item>
                            <layout class="QHBoxLayout">
                                <property name="alignment">
                                    <set>Qt::AlignRight</set>
                                </property>
                                <item>
                                    <widget class="QToolButton" name="tool_button_infos">
                                        <property name="text">
                                            <string>Clear</string>
                                        </property>
                                    </widget>
                                </item>
                            </layout>
                        </item>
                    </layout>
                </widget>
            </item>
            <!-- Logs block, bottom right -->
            <item row="1" column="1">
                <widget class="QGroupBox" name="group_box_logs">
                    <property name="title">
                        <string>Logs:</string>
                    </property>
                    <layout class="QVBoxLayout" name="vertical_layout_logs">
                        <item>
                            <widget class="QTextEdit" name="text_edit_logs">
                                <property name="readOnly">
                                    <bool>true</bool>
                                </property>
                            </widget>
                        </item>
                        <item>
                            <layout class="QHBoxLayout">
                                <property name="alignment">
                                    <set>Qt::AlignRight</set>
                                </property>
                                <item>
                                    <widget class="QToolButton" name="tool_button_logs">
                                        <property name="text">
                                            <string>Clear</string>
                                        </property>
                                    </widget>
                                </item>
                            </layout>
                        </item>
                    </layout>
                </widget>
            </item>
        </layout>
    </widget>
</ui>
